Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.util
Class DataSourceBean

    java.lang.Object
      com.jaspersoft.jasperserver.util.ResourceBean
          com.jaspersoft.jasperserver.util.DataSourceBean

Direct Known Subclasses:
  JdbcDataSourceBean, JndiJdbcDataSourceBean

    public class DataSourceBean

extends ResourceBean

Version:
  $Id: DataSourceBean.java 8408 2007-05-29 23:29:12Z melih $
Author:
  tkavanagh

Field Summary
`static java.lang.String` | `DS_TYPE_JDBC`
`static java.lang.String` | `DS_TYPE_JNDI_JDBC`

Constructor Summary
`DataSourceBean()`

Method Summary
`java.lang.String` | `getDataSourceType()`
`void` | `setDataSourceType(java.lang.String dataSourceType)`

Methods inherited from class com.jaspersoft.jasperserver.util.ResourceBean
`getCreationDate, getDescription, getIsNew, getIsUriReference, getLabel, getName, getParentFolder, getProductReleaseVersion, getResourceBeanType, getResourceType, getUriString, getVersion, setCreationDate, setDescription, setIsNew, setIsUriReference, setLabel, setName, setParentFolder, setProductReleaseVersion, setResourceBeanType, setResourceType, setUriString, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DS_TYPE_JDBC

    public static final java.lang.String DS_TYPE_JDBC

See Also:
  Constant Field Values

### DS_TYPE_JNDI_JDBC

    public static final java.lang.String DS_TYPE_JNDI_JDBC

See Also:
  Constant Field Values

Constructor Detail

### DataSourceBean

    public DataSourceBean()

Method Detail

### getDataSourceType

    public java.lang.String getDataSourceType()

### setDataSourceType

    public void setDataSourceType(java.lang.String dataSourceType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.